Overview
GET
/registry/identifiers/{rdid}registryResolve an rdid -> entity
Fetch a record from identifiers by rdid.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- rdidpathstring
Responses
200
mapping
- rdidstring
Reverse-domain identifier (e.g. com.acme.app)
- entityTypestring
e.g. 'namespace', 'ecosystem', 'organization'
- entityIdstring
The UUID the rdid resolves to
- createdBystring?
Minter; null for system mappings
Example
{
"rdid": "string",
"entityType": "string",
"entityId": "string",
"createdBy": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/registry/identifiers/{rdid}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/registry/identifiers/{rdid}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();